Bug 1300987 - Accumulo translator doesn't end query execution when there are no tablet servers
Accumulo translator doesn't end query execution when there are no tablet servers
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.3.0
Assigned To: Van Halbert
Jan Stastny
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 04:44 EST by Jan Stastny
Modified: 2016-08-24 07:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:46:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3921 Major Resolved Accumulo translator doesn't end query execution when there are no tablet servers 2016-06-08 07:32 EDT

  None (edit)
Description Jan Stastny 2016-01-22 04:44:46 EST
Description of problem:
When querying an Accumulo instance using accumulo translator, there is a problem with running queries against an instance, which is not running. The query is running until query timeout exceeds.
More information in linked TEIID-3921.


Version:
DV 6.3.0 DR1
Comment 1 Christopher Tubbs 2016-01-24 19:40:41 EST
It sounds like you're describing the expected/designed behavior of Accumulo. Accumulo is designed to migrate data between tablet servers when servers go offline and come online. The Accumulo client code should continue retrying until it reaches some client-side timeout.

I'm not familiar with "Teiid Accumulo translator" but as a developer on Accumulo upstream, I think you're describing normal, expected, and desired behavior. Am I missing something?
Comment 2 JBoss JIRA Server 2016-01-29 11:44:02 EST
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3921 to Coding In Progress
Comment 3 JBoss JIRA Server 2016-01-30 14:50:54 EST
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3921 to Resolved

Note You need to log in before you can comment on or make changes to this bug.